package org.wfc.omada.api.client.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ClientStatVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:16:05.926+08:00[Asia/Shanghai]")

public class ClientStatVo   {
  @JsonProperty("total")
  private Integer total;

  @JsonProperty("wireless")
  private Integer wireless;

  @JsonProperty("wired")
  private Integer wired;

  @JsonProperty("num2g")
  private Integer num2g;

  @JsonProperty("num5g")
  private Integer num5g;

  @JsonProperty("num6g")
  private Integer num6g;

  @JsonProperty("numUser")
  private Integer numUser;

  @JsonProperty("numGuest")
  private Integer numGuest;

  @JsonProperty("numWirelessUser")
  private Integer numWirelessUser;

  @JsonProperty("numWirelessGuest")
  private Integer numWirelessGuest;

  @JsonProperty("num2gUser")
  private Integer num2gUser;

  @JsonProperty("num5gUser")
  private Integer num5gUser;

  @JsonProperty("num6gUser")
  private Integer num6gUser;

  @JsonProperty("num2gGuest")
  private Integer num2gGuest;

  @JsonProperty("num5gGuest")
  private Integer num5gGuest;

  @JsonProperty("num6gGuest")
  private Integer num6gGuest;

  @JsonProperty("poor")
  private Integer poor;

  @JsonProperty("fair")
  private Integer fair;

  @JsonProperty("noData")
  private Integer noData;

  @JsonProperty("good")
  private Integer good;

  public ClientStatVo total(Integer total) {
    this.total = total;
    return this;
  }

  /**
   * Get total
   * @return total
  */
  @ApiModelProperty(value = "")


  public Integer getTotal() {
    return total;
  }

  public void setTotal(Integer total) {
    this.total = total;
  }

  public ClientStatVo wireless(Integer wireless) {
    this.wireless = wireless;
    return this;
  }

  /**
   * Get wireless
   * @return wireless
  */
  @ApiModelProperty(value = "")


  public Integer getWireless() {
    return wireless;
  }

  public void setWireless(Integer wireless) {
    this.wireless = wireless;
  }

  public ClientStatVo wired(Integer wired) {
    this.wired = wired;
    return this;
  }

  /**
   * Get wired
   * @return wired
  */
  @ApiModelProperty(value = "")


  public Integer getWired() {
    return wired;
  }

  public void setWired(Integer wired) {
    this.wired = wired;
  }

  public ClientStatVo num2g(Integer num2g) {
    this.num2g = num2g;
    return this;
  }

  /**
   * Get num2g
   * @return num2g
  */
  @ApiModelProperty(value = "")


  public Integer getNum2g() {
    return num2g;
  }

  public void setNum2g(Integer num2g) {
    this.num2g = num2g;
  }

  public ClientStatVo num5g(Integer num5g) {
    this.num5g = num5g;
    return this;
  }

  /**
   * Get num5g
   * @return num5g
  */
  @ApiModelProperty(value = "")


  public Integer getNum5g() {
    return num5g;
  }

  public void setNum5g(Integer num5g) {
    this.num5g = num5g;
  }

  public ClientStatVo num6g(Integer num6g) {
    this.num6g = num6g;
    return this;
  }

  /**
   * Get num6g
   * @return num6g
  */
  @ApiModelProperty(value = "")


  public Integer getNum6g() {
    return num6g;
  }

  public void setNum6g(Integer num6g) {
    this.num6g = num6g;
  }

  public ClientStatVo numUser(Integer numUser) {
    this.numUser = numUser;
    return this;
  }

  /**
   * Get numUser
   * @return numUser
  */
  @ApiModelProperty(value = "")


  public Integer getNumUser() {
    return numUser;
  }

  public void setNumUser(Integer numUser) {
    this.numUser = numUser;
  }

  public ClientStatVo numGuest(Integer numGuest) {
    this.numGuest = numGuest;
    return this;
  }

  /**
   * Get numGuest
   * @return numGuest
  */
  @ApiModelProperty(value = "")


  public Integer getNumGuest() {
    return numGuest;
  }

  public void setNumGuest(Integer numGuest) {
    this.numGuest = numGuest;
  }

  public ClientStatVo numWirelessUser(Integer numWirelessUser) {
    this.numWirelessUser = numWirelessUser;
    return this;
  }

  /**
   * Get numWirelessUser
   * @return numWirelessUser
  */
  @ApiModelProperty(value = "")


  public Integer getNumWirelessUser() {
    return numWirelessUser;
  }

  public void setNumWirelessUser(Integer numWirelessUser) {
    this.numWirelessUser = numWirelessUser;
  }

  public ClientStatVo numWirelessGuest(Integer numWirelessGuest) {
    this.numWirelessGuest = numWirelessGuest;
    return this;
  }

  /**
   * Get numWirelessGuest
   * @return numWirelessGuest
  */
  @ApiModelProperty(value = "")


  public Integer getNumWirelessGuest() {
    return numWirelessGuest;
  }

  public void setNumWirelessGuest(Integer numWirelessGuest) {
    this.numWirelessGuest = numWirelessGuest;
  }

  public ClientStatVo num2gUser(Integer num2gUser) {
    this.num2gUser = num2gUser;
    return this;
  }

  /**
   * Get num2gUser
   * @return num2gUser
  */
  @ApiModelProperty(value = "")


  public Integer getNum2gUser() {
    return num2gUser;
  }

  public void setNum2gUser(Integer num2gUser) {
    this.num2gUser = num2gUser;
  }

  public ClientStatVo num5gUser(Integer num5gUser) {
    this.num5gUser = num5gUser;
    return this;
  }

  /**
   * Get num5gUser
   * @return num5gUser
  */
  @ApiModelProperty(value = "")


  public Integer getNum5gUser() {
    return num5gUser;
  }

  public void setNum5gUser(Integer num5gUser) {
    this.num5gUser = num5gUser;
  }

  public ClientStatVo num6gUser(Integer num6gUser) {
    this.num6gUser = num6gUser;
    return this;
  }

  /**
   * Get num6gUser
   * @return num6gUser
  */
  @ApiModelProperty(value = "")


  public Integer getNum6gUser() {
    return num6gUser;
  }

  public void setNum6gUser(Integer num6gUser) {
    this.num6gUser = num6gUser;
  }

  public ClientStatVo num2gGuest(Integer num2gGuest) {
    this.num2gGuest = num2gGuest;
    return this;
  }

  /**
   * Get num2gGuest
   * @return num2gGuest
  */
  @ApiModelProperty(value = "")


  public Integer getNum2gGuest() {
    return num2gGuest;
  }

  public void setNum2gGuest(Integer num2gGuest) {
    this.num2gGuest = num2gGuest;
  }

  public ClientStatVo num5gGuest(Integer num5gGuest) {
    this.num5gGuest = num5gGuest;
    return this;
  }

  /**
   * Get num5gGuest
   * @return num5gGuest
  */
  @ApiModelProperty(value = "")


  public Integer getNum5gGuest() {
    return num5gGuest;
  }

  public void setNum5gGuest(Integer num5gGuest) {
    this.num5gGuest = num5gGuest;
  }

  public ClientStatVo num6gGuest(Integer num6gGuest) {
    this.num6gGuest = num6gGuest;
    return this;
  }

  /**
   * Get num6gGuest
   * @return num6gGuest
  */
  @ApiModelProperty(value = "")


  public Integer getNum6gGuest() {
    return num6gGuest;
  }

  public void setNum6gGuest(Integer num6gGuest) {
    this.num6gGuest = num6gGuest;
  }

  public ClientStatVo poor(Integer poor) {
    this.poor = poor;
    return this;
  }

  /**
   * Get poor
   * @return poor
  */
  @ApiModelProperty(value = "")


  public Integer getPoor() {
    return poor;
  }

  public void setPoor(Integer poor) {
    this.poor = poor;
  }

  public ClientStatVo fair(Integer fair) {
    this.fair = fair;
    return this;
  }

  /**
   * Get fair
   * @return fair
  */
  @ApiModelProperty(value = "")


  public Integer getFair() {
    return fair;
  }

  public void setFair(Integer fair) {
    this.fair = fair;
  }

  public ClientStatVo noData(Integer noData) {
    this.noData = noData;
    return this;
  }

  /**
   * Get noData
   * @return noData
  */
  @ApiModelProperty(value = "")


  public Integer getNoData() {
    return noData;
  }

  public void setNoData(Integer noData) {
    this.noData = noData;
  }

  public ClientStatVo good(Integer good) {
    this.good = good;
    return this;
  }

  /**
   * Get good
   * @return good
  */
  @ApiModelProperty(value = "")


  public Integer getGood() {
    return good;
  }

  public void setGood(Integer good) {
    this.good = good;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ClientStatVo clientStatVo = (ClientStatVo) o;
    return Objects.equals(this.total, clientStatVo.total) &&
        Objects.equals(this.wireless, clientStatVo.wireless) &&
        Objects.equals(this.wired, clientStatVo.wired) &&
        Objects.equals(this.num2g, clientStatVo.num2g) &&
        Objects.equals(this.num5g, clientStatVo.num5g) &&
        Objects.equals(this.num6g, clientStatVo.num6g) &&
        Objects.equals(this.numUser, clientStatVo.numUser) &&
        Objects.equals(this.numGuest, clientStatVo.numGuest) &&
        Objects.equals(this.numWirelessUser, clientStatVo.numWirelessUser) &&
        Objects.equals(this.numWirelessGuest, clientStatVo.numWirelessGuest) &&
        Objects.equals(this.num2gUser, clientStatVo.num2gUser) &&
        Objects.equals(this.num5gUser, clientStatVo.num5gUser) &&
        Objects.equals(this.num6gUser, clientStatVo.num6gUser) &&
        Objects.equals(this.num2gGuest, clientStatVo.num2gGuest) &&
        Objects.equals(this.num5gGuest, clientStatVo.num5gGuest) &&
        Objects.equals(this.num6gGuest, clientStatVo.num6gGuest) &&
        Objects.equals(this.poor, clientStatVo.poor) &&
        Objects.equals(this.fair, clientStatVo.fair) &&
        Objects.equals(this.noData, clientStatVo.noData) &&
        Objects.equals(this.good, clientStatVo.good);
  }

  @Override
  public int hashCode() {
    return Objects.hash(total, wireless, wired, num2g, num5g, num6g, numUser, numGuest, numWirelessUser, numWirelessGuest, num2gUser, num5gUser, num6gUser, num2gGuest, num5gGuest, num6gGuest, poor, fair, noData, good);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ClientStatVo {\n");
    
    sb.append("    total: ").append(toIndentedString(total)).append("\n");
    sb.append("    wireless: ").append(toIndentedString(wireless)).append("\n");
    sb.append("    wired: ").append(toIndentedString(wired)).append("\n");
    sb.append("    num2g: ").append(toIndentedString(num2g)).append("\n");
    sb.append("    num5g: ").append(toIndentedString(num5g)).append("\n");
    sb.append("    num6g: ").append(toIndentedString(num6g)).append("\n");
    sb.append("    numUser: ").append(toIndentedString(numUser)).append("\n");
    sb.append("    numGuest: ").append(toIndentedString(numGuest)).append("\n");
    sb.append("    numWirelessUser: ").append(toIndentedString(numWirelessUser)).append("\n");
    sb.append("    numWirelessGuest: ").append(toIndentedString(numWirelessGuest)).append("\n");
    sb.append("    num2gUser: ").append(toIndentedString(num2gUser)).append("\n");
    sb.append("    num5gUser: ").append(toIndentedString(num5gUser)).append("\n");
    sb.append("    num6gUser: ").append(toIndentedString(num6gUser)).append("\n");
    sb.append("    num2gGuest: ").append(toIndentedString(num2gGuest)).append("\n");
    sb.append("    num5gGuest: ").append(toIndentedString(num5gGuest)).append("\n");
    sb.append("    num6gGuest: ").append(toIndentedString(num6gGuest)).append("\n");
    sb.append("    poor: ").append(toIndentedString(poor)).append("\n");
    sb.append("    fair: ").append(toIndentedString(fair)).append("\n");
    sb.append("    noData: ").append(toIndentedString(noData)).append("\n");
    sb.append("    good: ").append(toIndentedString(good)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

